Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1210 closed defect

Building RTEMS without c++ installed failes on testsuites/samples

Reported by: Avy Strominger Owned by: Ralf Corsepius
Priority: normal Milestone: 4.7
Component: unspecified Version: 4.7
Severity: normal Keywords:
Cc: joel.sherrill@…, zargyyoyo@… Blocked By:
Blocking:

Description (last modified by Chris Johns)

Building RTEMS while having C only installed failes because it rquires the C++ pre-processor to build the testsuites/samples directory, even though RTEMS was configured with --disable-cxx, so it shouldn't really need any C++ component. Installing C++ "cures" the problem.

for details about the RTEMS configuration line and build log see:

http://www.rtems.com/ml/rtems-users/2006/december/msg00154.html

Build for PowerPC (psim and ss555), on cygwin, RTEMS version 4.6.99.3

Attachments (1)

config.log (20.1 KB) - added by Avy Strominger on 01/04/07 at 17:08:03.
generated ../testsuites/samples/config.log

Download all attachments as: .zip

Change History (7)

comment:1 Changed on 01/04/07 at 02:39:20 by Ralf Corsepius

Owner: changed from Joel Sherrill to Ralf Corsepius

Changed on 01/04/07 at 17:08:03 by Avy Strominger

Attachment: config.log added

generated ../testsuites/samples/config.log

comment:2 Changed on 08/05/08 at 12:14:02 by Joel Sherrill

Cc: Joel Sherrill added

Is this fixed? Can it be closed?

comment:3 Changed on 02/01/13 at 17:38:36 by Christopher Kerl

Cc: Christopher Kerl added
Owner: changed from Ralf Corsepius to Jennifer Averett

comment:4 Changed on 02/01/13 at 17:39:20 by Christopher Kerl

Owner: changed from Jennifer Averett to Ralf Corsepius

comment:5 Changed on 11/20/14 at 03:14:42 by Chris Johns

Description: modified (diff)
Resolution: wontfix
Status: newclosed

comment:6 Changed on 10/10/17 at 06:46:55 by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.